# encoding: utf-8

# File:	clients/edirectory.ycp
# Package:	Configuration of edirectory
# Summary:	Main file
# Authors:	Novell Engineers
#
# $Id: inst_edirectory.ycp,v 1.1.2.12 2005/12/02 18:17:49 rpartridge Exp $
#
# Main file for edirectory configuration. Uses all other files.
module Yast
  class InstEdirectoryClient < Client
    def main
      Yast.import "UI"
      Yast.import "ProductControl"
      #**
      # <h3>Configuration of edirectory</h3>

      textdomain "novell-edirectory"

      # Stage::Continue Entry point
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("eDirectory (inst_edirectory) module started")

      Yast.import "Mode"
      Yast.import "Package"
      Yast.import "NovellPatterns"

      Yast.include self, "novell-edirectory/wizards.rb"

      @ret = nil

      # Since this file can only be called in Stage::Cont
      # configuration of a fresh install we don't need to check
      # for the existence of a DIB.
      @eDirSoftwareInstalled = Edirectory.SoftwareInstalled

      # Does the eDirectory DIB exist?
      if @eDirSoftwareInstalled
        Edirectory.eDir_Being_Configured = true

        # DIB does not exist do Edirectory Sequence
        @ret = EdirectoryCompleteSequence()
      else
        @isSelected = NovellPatterns.IsPatternInstalled("novell-eguide") ||
          NovellPatterns.IsPatternInstalled("novell-iManager") ||
          NovellPatterns.IsPatternInstalled("novell-lifeconsole") ||
          NovellPatterns.IsPatternInstalled("novell-nss") ||
          NovellPatterns.IsPatternInstalled("novell-samba") ||
          NovellPatterns.IsPatternInstalled("novell-sms") ||
          NovellPatterns.IsPatternInstalled("novell-vo") ||
          NovellPatterns.IsPatternInstalled("novell-health-monitoring") ||
          NovellPatterns.IsPatternInstalled("novell-iPrint") ||
          NovellPatterns.IsPatternInstalled("novell-lum")
        if !@isSelected
          @isSelected = NovellPatterns.IsPatternInstalled("ncpserver")
          if !@isSelected
            Builtins.y2milestone(
              "inst_edirectory : No OES components were selected; skipping ALL OES configuration"
            )
            # No OES components selected
            #Commented for SLE11
            #	    ProductControl::DisabledModules =
            #		add(ProductControl::DisabledModules,"proposal");
            ProductControl.DisableModule("proposal") 
            # Nothing to do go on.
          end
          @ret = :next
        else
          #An LDAP dependant component was selected
          # DIB exists do LDAP Dialogs
          Edirectory.eDir_Being_Configured = false

          # Throw away the EdirSettings
          Edirectory.EdirSettings = {}

          # Do the LDAPSequence
          @ret = LDAPCompleteSequence()
        end
      end

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::InstEdirectoryClient.new.main
