# encoding: utf-8

# File:	include/novell-edirectory/complex.ycp
# Package:	Configuration of edirectory
# Summary:	Dialogs definitions
# Authors:	Anas Nashif <nashif@suse.de>
#
# $Id: complex.ycp,v 1.1.2.4 2005/02/06 01:15:52 rhaslam Exp $
module Yast
  module NovellEdirectoryComplexInclude
    def initialize_novell_edirectory_complex(include_target)
      Yast.import "UI"

      textdomain "novell-edirectory"

      Yast.import "Label"
      Yast.import "Popup"
      Yast.import "Wizard"
      Yast.import "UIHelper"
      Yast.import "Edirectory"

      Yast.include include_target, "novell-edirectory/helps.rb"
    end

    # Return a modification status
    # @return true if data was modified
    def Modified
      Edirectory.Modified
    end

    def ReallyAbort
      !Edirectory.Modified || Popup.ReallyAbort(true)
    end

    def PollAbort
      UI.PollInput == :abort
    end

    # Read settings dialog
    # @return `abort if aborted and `next otherwise
    def ReadDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "read", ""))
      # Edirectory::AbortFunction = PollAbort;
      ret = Edirectory.Read
      ret
    end

    # Write settings dialog
    # @return `abort if aborted and `next otherwise
    def WriteDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "write", ""))
      # Edirectory::AbortFunction = PollAbort;
      ret = Edirectory.Write
      Builtins.y2milestone("Edirectory::Write() is returning %1", ret)
      ret
    end
  end
end
